#ifndef IOMAP_H_
#define IOMAP_H_
//#define ROBOTTWO

// CAN ID
#define CAN_ID_INTAKE 8
#define CAN_ID_CLIMBER 14
#define CAN_ID_CLIMBER2 15
#define CAN_ID_CONVEYOR 12
#define CAN_ID_SHOOTER_MAIN 9
#define CAN_ID_SHOOTER_SECONDARY 10
#define CAN_ID_INTAKE_SECONDARY 11
#define CAN_ID_CONVEYOR_INDEXER 7
#define CAN_ID_CLIMBER_MAIN 14
#define CAN_ID_CLIMBER_SECONDARY 15

//PWM Out
#define PWM_OUT_DRIVE_LEFT 0
#define PWM_OUT_MINI_LEFT 1
#define PWM_OUT_MINI_RIGHT 3
#define PWM_OUT_DRIVE_RIGHT 2
#define PWM_OUT_FLIPPER_ANGLEL 4
#define PWM_OUT_FLIPPER_ANGLER 5
#define PWM_OUT_SCALER_DEPLOY_SERVO 6


//DIGITAL IO
#define DIG_IN_DRIVE_ENCODER_L_A 0
#define DIG_IN_DRIVE_ENCODER_L_B 1
#define DIG_IN_DRIVE_ENCODER_R_A 2
#define DIG_IN_DRIVE_ENCODER_R_B 3
#define DIG_IN_INTAKE_ENCODER 4
//#define DIG_IN_GEAR_GEAR_SENSOR 6
#define DIG_IN_GEAR_SPIKE_SENSOR 7
#define DIG_IN_TRANSITION_ENCODER 8
#define DIG_OUT_RED_LIGHTS 5

//ANALOG IN
#define AN_IN_GYRO 1
#endif
