#include "WPIlib.h"
#include "Lights.h"
#include "IOMap.h"

	Lights::Lights() :
				Serial1(9600, SerialPort::kMXP),
					semaphore()


{
	Serial1.Reset();
	//serialWriter = std::thread(&Lights::writeToStream, this);
}
Lights::~Lights() {

}
void Lights::initialize() {
	Serial1.Reset();
}
void Lights::callWriteToStream(uint32_t arg) {
	((Lights*) arg)->writeToStream();
}

void Lights::writeToStream() {
	while (true) {
		char bytes[1];
		{
			//TBD Syncronize sync(&semaphore);
			bytes[0] = output[0];
		}
		//printf("%x\n", bytes[0]);
		Serial1.Write(bytes, 1);
		Serial1.Flush();
		frc::Wait(0.050);
	}
}
void Lights::process(bool enabled, bool autoOn) {

	char Bytes[1];
	Bytes[0] = 1;

	if (enabled) {
		Bytes[0] = 2;
	}

	{
		//TBD Syncronize sync(&semaphore);
		output[0] = Bytes[0];
	}
}


