#ifndef SRC_LIGHTS_H_
#define SRC_LIGHTS_H_

#include "Serialport.h"
#include "Robotbase.h"
#include "timer.h"
//TBD #include "Syncronize.h"

class Lights {

public:
	Lights();
	~Lights();

	void initialize();
	void process(bool enabled, bool autoOn);

private:
	SerialPort Serial1;
	priority_recursive_mutex semaphore;
	std::thread serialWriter;
	char output[2];
	static void callWriteToStream(uint32_t arg);
	void writeToStream();
};
#endif /* SRC_LIGHTS_H_ */

